.section1-subnav {
    margin: 0 auto;
    margin-block: 20px;
    max-width: 500px;
    display: flex;
    justify-content: center;
    gap: 15px;
    
    /* background-color: #fff;
    border-radius: 80px;
    border: 1px solid #383838; */
}

.menu-sub-item {
    padding: 8px 20px;
    border: 2px solid #ddd;
    background: #f8f9fa;
    color: #333;
    cursor: pointer;
    border-radius: 8px;
    font-size: 15px;
    transition: all 0.2s ease;
}

.menu-sub-item:hover {
    background: #e9ecef;
    border-color: #007bff;
}

.menu-sub-item.active {
    background: #007bff;
    color: white;
    border-color: #007bff;
}

/* Скрываем секции по умолчанию */
#section1_day,
#section1_per {
    display: none;
}

/* Показываем только активную секцию */
#section1_day.active,
#section1_per.active {
    display: block;
    animation: fadeIn 0.2s ease;
}

@keyframes fadeIn {
    from { opacity: 0; }
    to { opacity: 1; }
}

/* settings */

.settings-container {
    margin: 0 auto;
    max-width: 500px;
}

.ios-settings-container {
    background: #ffffff;
    border-radius: 10px;
    padding: 0 15px;
    box-shadow: var(--box-shadow);
    margin-block: 12px;
}

.ios-setting-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 6px 0;
    border-bottom: 1px solid #e5e5ea;
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none;
}

.ios-setting-item:last-child {
    border-bottom: none;
}

.ios-setting-text {
    font-size: 14px;
    color: #000;
}

.ios-switch {
    position: relative;
    display: inline-block;
    width: 51px;
    height: 31px;
}

.ios-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.ios-switch-slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #e0e0e0;
    transition: .4s;
    border-radius: 17px;
}

.ios-switch-slider:before {
    position: absolute;
    content: "";
    height: 27px;
    width: 27px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    transition: .4s;
    border-radius: 50%;
    box-shadow: var(--box-shadow);
}

input:checked + .ios-switch-slider {
    background-color: #299c3d;
}

input:checked + .ios-switch-slider:before {
    transform: translateX(20px);
}

input:disabled + .ios-switch-slider {
    background-color: #f5f5f5;
    opacity: 0.7;
}

/* Анимация при нажатии */
.ios-switch input:active + .ios-switch-slider:before {
    width: 33px;
    border-radius: 17px;
}

.ios-switch input:checked:active + .ios-switch-slider:before {
  transform: translateX(16px);
}




/* ---------------------------------------- */
/* Стили блока выбора дня
/* ---------------------------------------- */

.prev-day-btn,
.next-day-btn {
  padding: 15px;
  color: #000;
  border: 2px solid #e4e4e4;
  border-radius: 50%;
  background-color: #fff;
  cursor: pointer;
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
    transition: all 0.2s ease-in-out; /* Плавный переход для всех свойств */ 
}

.prev-day-btn:hover,
.next-day-btn:hover {
    border-color: #738d75;
}

.prev-day-btn:active,
.next-day-btn:active {
    background: #ececec;
    border-color: #555;
}

/* ---------------------------------------- */
/* Стили блока расчета личной карты
/* ---------------------------------------- */

.infoBlock {
  position: fixed;
  left: 50%;
  top: 20px;
  width: 95%;
  min-height: 45px;
  max-width: 500px;
  color: #000;
  font-size: 14px;
  transform: translateX(-50%);
  padding: 8px;
  border: 0.5px solid #a9a9a9;
  border-radius: 40px;
  background: linear-gradient(45deg, 
    #cde2b063, 
    #e3f0e612, 
    #d5e9e68a
  );
  box-shadow: var(--box-shadow);
  text-align: center;
  transition: all 0.3s ease;
  backdrop-filter: blur(2px);
  -webkit-backdrop-filter: blur(2px);
  z-index: 1000;
  cursor: pointer;
  will-change: transform;
  letter-spacing: 0.05px;
  line-height: 1.4;
  
  /* Добавить для лучшего отображения */
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0px;
}

.infoBlock:hover {
  background: linear-gradient(45deg, #e8f4ea80, #d9ede95c, #cae5e880);
  
  /* Рекомендуется добавить тень при наведении */
  box-shadow: 0 4px 15px rgba(0, 128, 0, 0.15);
  transform: translateX(-50%) translateY(-2px);
}

.sundate {
  font-size: 11px;
  color: #717171;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  vertical-align: middle;
}

.sundate::before {
  content: "☼";
  color: #f6b83e;
  font-size: 18px;
  font-style: normal;
  margin-right: 6px; /* Увеличить отступ */
  filter: drop-shadow(0 2px 4px rgba(246, 184, 62, 0.3));
  display: inline-flex;
  align-items: center;
  justify-content: center;
  line-height: 1;
  height: 100%;
  vertical-align: middle;
  
  /* Добавить анимацию обратно */
  animation: sunGlow 3s infinite ease-in-out;
}

/* Добавить анимацию */
@keyframes sunGlow {
  0%, 100% { 
    opacity: 0.9; 
    transform: scale(1) rotate(0deg); 
  }
  50% { 
    opacity: 1; 
    transform: scale(1.1) rotate(5deg); 
    text-shadow: 0 0 8px #f6b83e;
  }
}

/* Добавить для мобильных */
@media (max-width: 480px) {
  .infoBlock {
    padding: 10px 12px;
    font-size: 13px;
  }
  
  .sundate {
    font-size: 10px;
  }
  
  .sundate::before {
    font-size: 16px;
    margin-right: 4px;
  }
}





/* ---------------------------------------- */
/* Формы ввода
/* ---------------------------------------- */

.datetime-selector {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: 10px;
    z-index: 1000;
}

.datetime-selector div {
    margin: 0px;
}

.form-group {
  display: flex;
    align-items: center; 
    gap: 2px;
}

.datetime-title {
    font-size: 14px;
    text-align: center;
    width: 100%;
    margin-bottom: 10px;
}

.datetime-selector-today {
    display: flex;
    justify-content: center;
    align-items: center;
    
    flex-wrap: wrap;
    gap: 12px;

    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    
    background-color: #ffffffde;
    
    box-shadow: 0 2px 10px rgba(0,0,0,0.1);

    height: var(--header-height);
    
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

select, #city-input {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    padding: 12px 14px;
    border: 1px solid #ddd;
    border-radius: 10px;
    background: white;
    font-size: 0.7rem;
    min-height: 40px;
}

/* .datetime-selector {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 10px;
  position: fixed;
  top: 10px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1000;
  background: white;
  padding: 15px;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0,0,0,0.1);
} */


/* ---------------------------------------- */
/* Стрлки селекторов
/* ---------------------------------------- */

select {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='6 9 12 15 18 9'%3E%3C/polyline%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: right 5px center;
  background-size: 12px;
  padding-right: 20px;
}

/* ---------------------------------------- */
/* Выбор пола
/* ---------------------------------------- */

.gender-options {
    display: flex;
    justify-content: center;
    gap: 12px;
    margin: 15px 0;
    padding: 7.5px;
    background: #f8fafc;
    border-radius: 38px;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
}

.gender-option {
    position: relative;
    cursor: pointer;
}

.gender-option input {
    display: none;
}

.gender-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 34px;
    height: 34px;
    border-radius: 50%;
    font-size: 16px;
    transition: all 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    background: white;
    box-shadow: 0 1.5px 3.75px rgba(0, 0, 0, 0.05);
}

.gender-icon.male {
    color: #3b82f6;
    border: 2px solid #e2e8f0;
}

.gender-icon.female {
    color: #ec4899;
    border: 2px solid #e2e8f0;
}

/* Эффект при наведении */
.gender-option:hover .gender-icon {
    transform: scale(1.1);
    border-color: currentColor;
}

.gender-option input:checked + .gender-icon {
    border-color: currentColor;
    border-width: 2px;
    transform: scale(1.15);
    box-shadow: 0 7.5px 11.25px -2.25px rgba(59, 130, 246, 0.3);
    background: white;
}

.gender-option input:checked + .gender-icon.female {
    box-shadow: 0 7.5px 11.25px -2.25px rgba(236, 72, 153, 0.3);
}


.submit-btn {
  padding: 12px 18px;
  font-size: 0.65rem;
  font-weight: 600;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  
  background: linear-gradient(135deg, #3b82f6 0%, #2563eb 100%);
  color: #fff;
  border: none;
  border-radius: 6px;
  
  cursor: pointer;
  transition: all 0.5s linear;
  box-shadow: 0 3px 10px rgba(59, 130, 246, 0.3);
    
  position: relative;
  overflow: hidden;
}

.submit-btn:hover {
  background: linear-gradient(135deg, #60a5fa 0%, #3b82f6 100%);
  box-shadow: 0 5px 18px rgba(59, 130, 246, 0.5), 0 0 0 5px rgba(37, 99, 235, 0.1);
}


#suggestions {
    position: absolute;
    width: 100%;
    max-width: 250px;
}

.suggestion-list {
    display: none;
    position: absolute;
    top: 100%;
    margin-top: 24px;
    left: 50px;
    right: 0;
    background: white;
    border: 1px solid #ddd;
    border-top: none;
    max-height: 250px;
    overflow-y: auto;
    z-index: 1000;
    box-shadow: 0 2px 8px rgba(0,0,0,0.1);
    border-radius: 4px;
}

.suggestion-item {
    padding: 8px 12px;
    cursor: pointer;
    font-size: 0.7em;
    border-bottom: 1px solid #f0f0f0;
    transition: background-color 0.2s;
}

.suggestion-item:hover,
.suggestion-item.active {
    background-color: #22ca374d;
}

.suggestion-item:last-child {
    border-bottom: none;
}

.city-name {
    font-weight: 500;
    margin-bottom: 2px;
}

.city-details {
    font-size: 0.85em;
    color: #555;
}

.suggestion-item strong {
    color: #2359da;
    font-weight: 600;
}

#city-info {
    font-size: 10px;
    margin-top: 10px;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    background-color: #f8f9fa;
    border-left: 4px solid #1169c0;
}


/* Стили для меню */
.bottom-menu {
    position: fixed;
    bottom: 12px;
    left: 50%;
    transform: translateX(-50%);
    width: 90%;
    max-width: 500px;
    display: flex;
    justify-content: space-around;
    background-color: #ffffffe0;
    padding: 5px 10px;
    z-index: 1000;
    border-radius: 80px;
    border: 1px solid #ccc;
    backdrop-filter: blur(2px);
    -webkit-backdrop-filter: blur(2px);
    will-change: transform;
}

.menu-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #3c3c3c;
    font-size: 10px;
    transition: all 0.2s ease;
    cursor: pointer;
    background: none;
    border: 0;
    padding: 8px 4px;
    -webkit-tap-highlight-color: transparent;
    -webkit-touch-callout: none;
    user-select: none;
    transform: translateZ(0);
}

.menu-icon {
    font-size: 20px;
    margin-bottom: 5px;
    transition: color 0.2s ease;
}

/* Исправленные стили для иконок */

.menu-item svg {
    width: 22px;
    height: 22px;
    margin-bottom: 5px;
    fill: #2d3748;
}

/* При наведении на кнопку */
.menu-item:hover path {
    fill: #db0000;
}

.menu-item:hover span {
    color: #db0000;
}

/* Для активной кнопки */
.menu-item.active path {
    fill: #db0000;
}

.menu-item.active span {
    color: #db0000;
}